'use strict';
// CUSTOM CODE

if($('#calc-page').length) {
	var values = {
		data: $('#products').val(),
		id: $('#products').val().split('|')[0],
		price: $('#products').val().split('|')[1],
		plt: $('#products').val().split('|')[2],
		percentage: {
			discount: 7,
			cashDiscount: 9,
			procurementCosts: 5,
			tradingCosts: 4,
			profitMargin: 20
		},
		fields: {},
		updateFields: () => {
			$('#selected-price').val(values.price);
			$('#selected-plt').val(values.plt);

			$('#rabatt').val(values.percentage.discount);
			$('#skonto').val(values.percentage.cashDiscount);
			$('#bezugskosten').val(values.percentage.procurementCosts);
			$('#handelskosten').val(values.percentage.tradingCosts);
			$('#gewinnzuschlag').val(values.percentage.profitMargin);

			values.fields.listeneinkaufspreis = values.price * values.plt; sF('#listeneinkaufspreis');
			values.fields.zieleinkaufspreis = gF('#listeneinkaufspreis') - gF('#listeneinkaufspreis') * values.percentage.discount/100; sF('#zieleinkaufspreis');
			values.fields.bareinkaufspreis = gF('#zieleinkaufspreis') - gF('#zieleinkaufspreis') * values.percentage.cashDiscount/100; sF('#bareinkaufspreis');
			values.fields.bezugspreis = gF('#bareinkaufspreis') - gF('#bareinkaufspreis') * values.percentage.procurementCosts/100; sF('#bezugspreis');
			values.fields.selbstkosten = gF('.bezugspreis') + gF('.bezugspreis') * values.percentage.tradingCosts/100; sF('.selbstkosten');

			values.fields.angebotspreis = gF('.selbstkosten') + gF('.selbstkosten')*values.percentage.profitMargin/100; sF('#angebotspreis');
			values.fields.angebotspreis_mwst = gF('#angebotspreis') * 1.19; sF('#angebotspreis_mwst');
			values.fields.angebotspreis_stk = gF('#angebotspreis_mwst') / values.plt; sF('#angebotspreis_stk');
			values.fields.rohgewinn = gF('#angebotspreis') - gF('#bezugspreis'); sF('#rohgewinn');

		}
	};
	var pF = (fl) => {return parseFloat(fl)};
	var sF = (id) => {
		let elem = id;
		id = id.substring(1);
		if(values.fields[id]) $(elem).val(pF(values.fields[id]).toFixed(2));
	};
	var gF = (id) => {
		id = id.substring(1);
		if(values.fields[id]) return values.fields[id]; else return 0;
	};

	values.updateFields();

	$('#products').change((e) => {
		values.data = $('#products').val();
		values.id = $('#products').val().split('|')[0];
		values.price = $('#products').val().split('|')[1];
		values.plt = $('#products').val().split('|')[2];

		values.updateFields();
	});
	$('#rabatt').keyup((e) => { values.percentage.discount = $('#rabatt').val(); values.updateFields();});
	$('#skonto').keyup((e) => { values.percentage.cashDiscount = $('#skonto').val(); values.updateFields();});
	$('#bezugskosten').keyup((e) => { values.percentage.procurementCosts = $('#bezugskosten').val(); values.updateFields();});
	$('#handelskosten').keyup((e) => { values.percentage.tradingCosts = $('#handelskosten').val(); values.updateFields();});
	$('#gewinnzuschlag').keyup((e) => { values.percentage.profitMargin = $('#gewinnzuschlag').val(); values.updateFields();});

	$('#konkurrenzpreis').keypress((e) => {
		setTimeout(function () {
			if($('#konkurrenzpreis').val().length > 0) {
				$('#gewinn').val(pF($('#konkurrenzpreis').val()) - pF(gF('.selbstkosten')));
				$('#gewinnPrcnt').val((100/pF(gF('.selbstkosten'))) * (pF($('#konkurrenzpreis').val()) - pF(gF('.selbstkosten'))));
			} else {
				$('#gewinn').val("0");
				$('#gewinnPrcnt').val("0");
			}
			console.log($('#konkurrenzpreis').val(), gF('.selbstkosten'));
		}, 30);
	});

	let i = 0;
	let rgb_values = [];
	for (var r = 0; r < 255; r++) {
		for (var g = 0; g < 255; g++) {
			for (var b = 0; b < 255; b++) {
				if(r+g+b >= 255) {
					rgb_values.push([r, g, b]);
					i++;
				}
			}
		}
		if(r === 254 && g === 254 && b == 254) console.log(i);
	}

}
